# -*- encoding: utf-8 -*-
# stub: actionmailbox 6.1.7.1 ruby lib

Gem::Specification.new do |s|
  s.name = "actionmailbox".freeze
  s.version = "6.1.7.1"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.metadata = { "bug_tracker_uri" => "https://github.com/rails/rails/issues", "changelog_uri" => "https://github.com/rails/rails/blob/v6.1.7.1/actionmailbox/CHANGELOG.md", "documentation_uri" => "https://api.rubyonrails.org/v6.1.7.1/", "mailing_list_uri" => "https://discuss.rubyonrails.org/c/rubyonrails-talk", "rubygems_mfa_required" => "true", "source_code_uri" => "https://github.com/rails/rails/tree/v6.1.7.1/actionmailbox" } if s.respond_to? :metadata=
  s.require_paths = ["lib".freeze]
  s.authors = ["David Heinemeier Hansson".freeze, "George Claghorn".freeze]
  s.date = "2024-07-17"
  s.description = "Receive and process incoming emails in Rails applications.".freeze
  s.email = ["david@loudthinking.com".freeze, "george@basecamp.com".freeze]
  s.files = ["CHANGELOG.md".freeze, "MIT-LICENSE".freeze, "README.md".freeze, "app/controllers".freeze, "app/controllers/action_mailbox".freeze, "app/controllers/action_mailbox/base_controller.rb".freeze, "app/controllers/action_mailbox/ingresses".freeze, "app/controllers/action_mailbox/ingresses/mailgun".freeze, "app/controllers/action_mailbox/ingresses/mailgun/inbound_emails_controller.rb".freeze, "app/controllers/action_mailbox/ingresses/mandrill".freeze, "app/controllers/action_mailbox/ingresses/mandrill/inbound_emails_controller.rb".freeze, "app/controllers/action_mailbox/ingresses/postmark".freeze, "app/controllers/action_mailbox/ingresses/postmark/inbound_emails_controller.rb".freeze, "app/controllers/action_mailbox/ingresses/relay".freeze, "app/controllers/action_mailbox/ingresses/relay/inbound_emails_controller.rb".freeze, "app/controllers/action_mailbox/ingresses/sendgrid".freeze, "app/controllers/action_mailbox/ingresses/sendgrid/inbound_emails_controller.rb".freeze, "app/controllers/rails".freeze, "app/controllers/rails/conductor".freeze, "app/controllers/rails/conductor/action_mailbox".freeze, "app/controllers/rails/conductor/action_mailbox/inbound_emails".freeze, "app/controllers/rails/conductor/action_mailbox/inbound_emails/sources_controller.rb".freeze, "app/controllers/rails/conductor/action_mailbox/inbound_emails_controller.rb".freeze, "app/controllers/rails/conductor/action_mailbox/reroutes_controller.rb".freeze, "app/controllers/rails/conductor/base_controller.rb".freeze, "app/jobs".freeze, "app/jobs/action_mailbox".freeze, "app/jobs/action_mailbox/incineration_job.rb".freeze, "app/jobs/action_mailbox/routing_job.rb".freeze, "app/models".freeze, "app/models/action_mailbox".freeze, "app/models/action_mailbox/inbound_email".freeze, "app/models/action_mailbox/inbound_email.rb".freeze, "app/models/action_mailbox/inbound_email/incineratable".freeze, "app/models/action_mailbox/inbound_email/incineratable.rb".freeze, "app/models/action_mailbox/inbound_email/incineratable/incineration.rb".freeze, "app/models/action_mailbox/inbound_email/message_id.rb".freeze, "app/models/action_mailbox/inbound_email/routable.rb".freeze, "app/models/action_mailbox/record.rb".freeze, "app/views".freeze, "app/views/layouts".freeze, "app/views/layouts/rails".freeze, "app/views/layouts/rails/conductor.html.erb".freeze, "app/views/rails".freeze, "app/views/rails/conductor".freeze, "app/views/rails/conductor/action_mailbox".freeze, "app/views/rails/conductor/action_mailbox/inbound_emails".freeze, "app/views/rails/conductor/action_mailbox/inbound_emails/index.html.erb".freeze, "app/views/rails/conductor/action_mailbox/inbound_emails/new.html.erb".freeze, "app/views/rails/conductor/action_mailbox/inbound_emails/show.html.erb".freeze, "app/views/rails/conductor/action_mailbox/inbound_emails/sources".freeze, "app/views/rails/conductor/action_mailbox/inbound_emails/sources/new.html.erb".freeze, "config/routes.rb".freeze, "db/migrate".freeze, "db/migrate/20180917164000_create_action_mailbox_tables.rb".freeze, "lib/action_mailbox".freeze, "lib/action_mailbox.rb".freeze, "lib/action_mailbox/base.rb".freeze, "lib/action_mailbox/callbacks.rb".freeze, "lib/action_mailbox/engine.rb".freeze, "lib/action_mailbox/gem_version.rb".freeze, "lib/action_mailbox/mail_ext".freeze, "lib/action_mailbox/mail_ext.rb".freeze, "lib/action_mailbox/mail_ext/address_equality.rb".freeze, "lib/action_mailbox/mail_ext/address_wrapping.rb".freeze, "lib/action_mailbox/mail_ext/addresses.rb".freeze, "lib/action_mailbox/mail_ext/from_source.rb".freeze, "lib/action_mailbox/mail_ext/recipients.rb".freeze, "lib/action_mailbox/mail_with_error_handling.rb".freeze, "lib/action_mailbox/relayer.rb".freeze, "lib/action_mailbox/router".freeze, "lib/action_mailbox/router.rb".freeze, "lib/action_mailbox/router/route.rb".freeze, "lib/action_mailbox/routing.rb".freeze, "lib/action_mailbox/test_case.rb".freeze, "lib/action_mailbox/test_helper.rb".freeze, "lib/action_mailbox/version.rb".freeze, "lib/generators".freeze, "lib/generators/action_mailbox".freeze, "lib/generators/action_mailbox/install".freeze, "lib/generators/action_mailbox/install/install_generator.rb".freeze, "lib/rails".freeze, "lib/rails/generators".freeze, "lib/rails/generators/mailbox".freeze, "lib/rails/generators/mailbox/USAGE".freeze, "lib/rails/generators/mailbox/mailbox_generator.rb".freeze, "lib/rails/generators/mailbox/templates".freeze, "lib/rails/generators/mailbox/templates/application_mailbox.rb.tt".freeze, "lib/rails/generators/mailbox/templates/mailbox.rb.tt".freeze, "lib/rails/generators/test_unit".freeze, "lib/rails/generators/test_unit/mailbox_generator.rb".freeze, "lib/rails/generators/test_unit/templates".freeze, "lib/rails/generators/test_unit/templates/mailbox_test.rb.tt".freeze, "lib/tasks".freeze, "lib/tasks/ingress.rake".freeze, "lib/tasks/install.rake".freeze]
  s.homepage = "https://rubyonrails.org".freeze
  s.licenses = ["MIT".freeze]
  s.required_ruby_version = Gem::Requirement.new(">= 2.5.0".freeze)
  s.rubygems_version = "3.3.26".freeze
  s.summary = "Inbound email handling framework.".freeze

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_runtime_dependency(%q<activesupport>.freeze, ["= 6.1.7.1"])
    s.add_runtime_dependency(%q<activerecord>.freeze, ["= 6.1.7.1"])
    s.add_runtime_dependency(%q<activestorage>.freeze, ["= 6.1.7.1"])
    s.add_runtime_dependency(%q<activejob>.freeze, ["= 6.1.7.1"])
    s.add_runtime_dependency(%q<actionpack>.freeze, ["= 6.1.7.1"])
    s.add_runtime_dependency(%q<mail>.freeze, [">= 2.7.1"])
  else
    s.add_dependency(%q<activesupport>.freeze, ["= 6.1.7.1"])
    s.add_dependency(%q<activerecord>.freeze, ["= 6.1.7.1"])
    s.add_dependency(%q<activestorage>.freeze, ["= 6.1.7.1"])
    s.add_dependency(%q<activejob>.freeze, ["= 6.1.7.1"])
    s.add_dependency(%q<actionpack>.freeze, ["= 6.1.7.1"])
    s.add_dependency(%q<mail>.freeze, [">= 2.7.1"])
  end
end
